;InnoSetupVersion=4.2.1

[Setup]
AppName=PocoMail
AppVerName=PocoMail 3.1 (Build 1880)
AppId=pocomail3
AppPublisher=Poco Systems Inc
AppPublisherURL=http://www.pocomail.com
AppSupportURL=http://www.pocomail.com/support.html
AppUpdatesURL=http://www.pocomail.com/download.html
DefaultDirName={pf}\PocoMail3
DefaultGroupName=PocoMail 3
OutputBaseFilename=setup
Compression=lzma
PrivilegesRequired=none
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\Poco.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\American.adm"; DestDir: "{app}"; 
Source: "{app}\Help\PocoHelp.cnt"; DestDir: "{app}\Help"; Flags: ignoreversion 
Source: "{app}\Help\PocoHelp.hlp"; DestDir: "{app}\Help"; Flags: ignoreversion 
Source: "{app}\Help\pocoscript.html"; DestDir: "{app}\Help"; Flags: ignoreversion 
Source: "{app}\Help\pocoscriptindex.html"; DestDir: "{app}\Help"; Flags: ignoreversion 
Source: "{app}\Help\pocoscripttutorial.html"; DestDir: "{app}\Help"; Flags: ignoreversion 
Source: "{app}\Skins\PocoClassic\accounts-d.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\accounts-u.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\addressbook-d.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\addressbook-u.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\bounce-d.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\bounce-u.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\checkmail-d.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\checkmail-u.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\default.ini"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\delete-d.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\delete-u.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\forward-d.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\forward-u.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\new-d.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\new-u.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\next-d.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\next-u.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\online-d.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\online-u.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\options-d.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\options-u.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\previous-d.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\previous-u.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\print-d.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\print-u.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\queue-d.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\queue-u.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\reply-d.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\reply-u.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\replyall-d.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\replyall-u.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\script-d.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\script-u.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\server-d.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\server-u.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\stop-d.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\stop-u.bmp"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Skins\PocoClassic\toolbar.jpg"; DestDir: "{app}\Skins\PocoClassic"; 
Source: "{app}\Icons\minus.bmp"; DestDir: "{app}\Icons"; Flags: onlyifdoesntexist 
Source: "{app}\Icons\plus.bmp"; DestDir: "{app}\Icons"; Flags: onlyifdoesntexist 
Source: "{app}\Icons\report.bmp"; DestDir: "{app}\Icons"; Flags: onlyifdoesntexist 
Source: "{app}\Icons\strip-bounce.gif"; DestDir: "{app}\Icons"; Flags: onlyifdoesntexist 
Source: "{app}\Icons\strip-forward.gif"; DestDir: "{app}\Icons"; Flags: onlyifdoesntexist 
Source: "{app}\Icons\strip-full.gif"; DestDir: "{app}\Icons"; Flags: onlyifdoesntexist 
Source: "{app}\Icons\strip-print.gif"; DestDir: "{app}\Icons"; Flags: onlyifdoesntexist 
Source: "{app}\Icons\strip-reply.gif"; DestDir: "{app}\Icons"; Flags: onlyifdoesntexist 
Source: "{app}\Icons\strip-replyall.gif"; DestDir: "{app}\Icons"; Flags: onlyifdoesntexist 
Source: "{app}\Icons\strip-short.gif"; DestDir: "{app}\Icons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\01.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\02.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\03.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\04.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\05.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\06.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\07.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\08.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\09.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\10.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\11.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\12.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\13.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\14.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\15.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\16.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\17.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\18.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\19.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\20.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\21.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\22.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\23.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\24.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\25.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\26.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\27.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\28.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\29.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\30.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\31.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\32.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\33.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\34.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\35.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\36.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\37.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\38.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\39.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\40.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\41.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\42.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\43.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\44.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\45.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\46.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\47.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\48.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\49.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\50.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\51.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\52.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\53.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\54.gif"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Emoticons\copyright.txt"; DestDir: "{app}\Emoticons"; Flags: onlyifdoesntexist 
Source: "{app}\Mail\exceptreceivers.txt"; DestDir: "{app}\Mail"; Flags: onlyifdoesntexist 
Source: "{app}\Mail\exceptsenders.txt"; DestDir: "{app}\Mail"; Flags: onlyifdoesntexist 
Source: "{app}\Mail\junkbody.txt"; DestDir: "{app}\Mail"; Flags: onlyifdoesntexist 
Source: "{app}\Mail\junksender.txt"; DestDir: "{app}\Mail"; Flags: onlyifdoesntexist 
Source: "{app}\Mail\junksubject.txt"; DestDir: "{app}\Mail"; Flags: onlyifdoesntexist 

[Registry]
Root: HKCU; Subkey: "Software\Poco Systems Inc\PocoMail 3"; ValueName: "Path"; ValueType: String; ValueData: "{app}"; 

[Run]
Filename: "{app}\POCO.EXE"; Description: "Launch PocoMail 3"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\PocoMail 3"; Filename: "{app}\Poco.exe"; WorkingDir: "{app}"; 
Name: "{group}\PocoMail 3 Help"; Filename: "{app}\Help\PocoHelp.hlp"; WorkingDir: "{app}"; 
Name: "{userdesktop}\PocoMail 3"; Filename: "{app}\Poco.exe"; WorkingDir: "{app}"; 
Name: "{sendto}\PocoMail 3"; Filename: "{app}\Poco.exe"; WorkingDir: "{app}"; 
Name: "{group}\Uninstall PocoMail 3"; Filename: "{uninstallexe}"; 

[CustomMessages]
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
